Index: LMDZ6/branches/Amaury_dev/libf/grid/fxy_new.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/grid/fxy_new.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/grid/fxy_new.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 c--------------------------------------------------------------
          REAL ripx
Index: LMDZ6/branches/Amaury_dev/libf/grid/fxy_reg.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/grid/fxy_reg.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/grid/fxy_reg.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 c-----------------------------------------------------------------------
 c INCLUDE 'fxyprim.h'
Index: LMDZ6/branches/Amaury_dev/libf/grid/fxy_sin.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/grid/fxy_sin.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/grid/fxy_sin.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 c-----------------------------------------------------------------------
 c INCLUDE 'fxyprim.h'
Index: LMDZ6/branches/Amaury_dev/libf/grid/fxyprim.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/grid/fxyprim.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/grid/fxyprim.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 c-----------------------------------------------------------------------
 c INCLUDE 'fxyprim.h'
Index: LMDZ6/branches/Amaury_dev/libf/misc/description.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/description.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/description.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       character (len=120) :: descript
       common /titre/descript
Index: LMDZ6/branches/Amaury_dev/libf/misc/formcoord.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/formcoord.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/formcoord.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       subroutine formcoord(unit,n,x,a,rev,text)
       implicit none
Index: LMDZ6/branches/Amaury_dev/libf/misc/iniprint.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/iniprint.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/iniprint.h	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Header$
-!
-!
+
+
 ! gestion des impressions de sorties et de débogage
 ! lunout:    unité du fichier dans lequel se font les sorties
 !                           (par defaut 6, la sortie standard)
 ! prt_level: niveau d'impression souhaité (0 = minimum)
-!
+
       INTEGER lunout, prt_level
       COMMON /comprint/ lunout, prt_level
Index: LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_errioipsl.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id$
-!
+
 ! Module/Routines extracted from IOIPSL v2_1_8
-!
+
 MODULE ioipsl_errioipsl
 !-
Index: LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_getincom.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_getincom.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_getincom.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id$
-!
+
 ! Module/Routines extracted from IOIPSL v2_1_8
-!
+
 MODULE ioipsl_getincom
 !-
Index: LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_stringop.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_stringop.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ioipsl_stringop.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id$
-!
+
 ! Module/Routines extracted from IOIPSL v2_1_8
-!
+
 MODULE ioipsl_stringop
 !-
Index: LMDZ6/branches/Amaury_dev/libf/misc/ismax.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ismax.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ismax.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       function ismax(n,sx,incx)
 c
Index: LMDZ6/branches/Amaury_dev/libf/misc/ismin.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ismin.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ismin.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       FUNCTION ismin(n,sx,incx)
 c
Index: LMDZ6/branches/Amaury_dev/libf/misc/juldate.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/juldate.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/juldate.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 	subroutine juldate(ian,imoi,ijou,oh,om,os,tjd,tjdsec)
 c	Sous-routine de changement de date:
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5099)
@@ -9,4 +9,5 @@
 !      INCA      -> CPPKEY_INCA
 !      CPP_StratAer-> CPPKEY_STRATAER
+!      CPP_DUST  -> CPPKEY_DUST
 ! ---------------------------------------------
 
@@ -15,5 +16,5 @@
   USE netcdf, ONLY: nf90_float, nf90_double
   IMPLICIT NONE; PRIVATE
-  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER
+  PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER, CPPKEY_DUST
 
 #ifdef NC_DOUBLE
@@ -41,3 +42,9 @@
 #endif
 
+#ifdef CPP_DUST
+  LOGICAL, PARAMETER :: CPPKEY_DUST = .TRUE.
+#else
+  LOGICAL, PARAMETER :: CPPKEY_DUST = .FALSE.
+#endif
+
 END MODULE lmdz_cppkeys_wrapper
Index: LMDZ6/branches/Amaury_dev/libf/misc/minmax.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/minmax.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/minmax.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
        SUBROUTINE minmax(imax, xi, zmin, zmax )
 c
Index: LMDZ6/branches/Amaury_dev/libf/misc/minmax2.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/minmax2.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/minmax2.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
        SUBROUTINE minmax2(imax, jmax, lmax, xi, zmin, zmax )
 c
Index: LMDZ6/branches/Amaury_dev/libf/misc/pres2lev_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pres2lev_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pres2lev_mod.F90	(revision 5099)
@@ -1,4 +1,4 @@
 ! $Id: pres2lev.F 1179 2009-06-11 14:18:47Z jghattas $
-!
+
 MODULE pres2lev_mod
 
@@ -7,5 +7,5 @@
 !******************************************************
 SUBROUTINE pres2lev(varo,varn,lmo,lmn,po,pn,ni,nj,ok_invertp)
-!
+
 ! interpolation lineaire pour passer
 ! a une nouvelle discretisation verticale pour
@@ -20,5 +20,5 @@
 !   Declarations:
 ! ==============
-!
+
 !  ARGUMENTS
 !  """""""""
Index: LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F	(revision 5099)
@@ -1,10 +1,9 @@
-!
+
 ! $Header$
-!
-!
-!
+
+
 
       subroutine q_sat(np,temp,pres,qsat)
-!
+
       IMPLICIT none
 !======================================================================
@@ -16,25 +15,25 @@
 ! kelvin---input-R: temperature en Kelvin
 ! millibar--input-R: pression en mb
-!
+
 ! q_sat----output-R: vapeur d'eau saturante en kg/kg
 !======================================================================
-!
+
       integer np
       REAL temp(np),pres(np),qsat(np)
-!
+
       REAL r2es
       PARAMETER (r2es=611.14 *18.0153/28.9644)
-!
+
       REAL r3les, r3ies, r3es
       PARAMETER (R3LES=17.269)
       PARAMETER (R3IES=21.875)
-!
+
       REAL r4les, r4ies, r4es
       PARAMETER (R4LES=35.86)
       PARAMETER (R4IES=7.66)
-!
+
       REAL rtt
       PARAMETER (rtt=273.16)
-!
+
       REAL retv
       PARAMETER (retv=28.9644/18.0153 - 1.0)
@@ -42,8 +41,7 @@
       real zqsat
       integer ip
-!
+
 !     ------------------------------------------------------------------
-!
-!
+
 
       do ip=1,np
@@ -51,5 +49,5 @@
 !      write(*,*)'kelvin,millibar=',kelvin,millibar
 !       write(*,*)'temp,pres=',temp(ip),pres(ip)
-!
+
          IF (temp(ip) <= rtt) THEN
             r3es = r3ies
@@ -59,14 +57,14 @@
             r4es = r4les
          ENDIF
-!
+
          zqsat=r2es/pres(ip)*EXP(r3es*(temp(ip)-rtt)/(temp(ip)-r4es))
          zqsat=MIN(0.5,ZQSAT)
          zqsat=zqsat/(1.-retv *zqsat)
-!
+
          qsat(ip)= zqsat
 !      write(*,*)'qsat=',qsat(ip)
 
       enddo
-!
+
       RETURN
       END
Index: LMDZ6/branches/Amaury_dev/libf/misc/ran1.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       FUNCTION RAN1(IDUM)
       IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5099)
@@ -40,7 +40,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 SUBROUTINE regr1_conserv(ix, vs, xs, xt, vt, slope)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -93,12 +93,12 @@
 
 END SUBROUTINE regr1_conserv
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr2_conserv(ix, vs, xs, xt, vt, slope)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -153,12 +153,12 @@
 
 END SUBROUTINE regr2_conserv
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr3_conserv(ix, vs, xs, xt, vt, slope)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -215,12 +215,12 @@
 
 END SUBROUTINE regr3_conserv
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr4_conserv(ix, vs, xs, xt, vt, slope)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -279,12 +279,12 @@
 
 END SUBROUTINE regr4_conserv
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr5_conserv(ix, vs, xs, xt, vt, slope)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -345,12 +345,12 @@
 
 END SUBROUTINE regr5_conserv
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE check_size(ix,svs,svt,xs,xt,ns,nt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -382,5 +382,5 @@
 
 END SUBROUTINE check_size
-!
+
 !-------------------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5099)
@@ -33,7 +33,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 SUBROUTINE regr1_lint(ix, vs, xs, xt, vt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -57,12 +57,12 @@
 
 END SUBROUTINE regr1_lint
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr2_lint(ix, vs, xs, xt, vt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -87,12 +87,12 @@
 
 END SUBROUTINE regr2_lint
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr3_lint(ix, vs, xs, xt, vt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -118,12 +118,12 @@
 
 END SUBROUTINE regr3_lint
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr4_lint(ix, vs, xs, xt, vt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -150,12 +150,12 @@
 
 END SUBROUTINE regr4_lint
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE regr5_lint(ix, vs, xs, xt, vt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -183,12 +183,12 @@
 
 END SUBROUTINE regr5_lint
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE check_size(ix,svs,svt,nxs,nxt,ns,nt)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -211,9 +211,9 @@
 
 END SUBROUTINE check_size
-!
+
 !-------------------------------------------------------------------------------
 
 END MODULE regr_lint_m
-!
-!-------------------------------------------------------------------------------
-
+
+!-------------------------------------------------------------------------------
+
Index: LMDZ6/branches/Amaury_dev/libf/misc/slopes_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/slopes_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/slopes_m.F90	(revision 5099)
@@ -29,7 +29,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 PURE FUNCTION slopes1(ix, f, x)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -64,12 +64,12 @@
 
 END FUNCTION slopes1
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 PURE FUNCTION slopes2(ix, f, x)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -113,12 +113,12 @@
 
 END FUNCTION slopes2
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 PURE FUNCTION slopes3(ix, f, x)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -165,12 +165,12 @@
 
 END FUNCTION slopes3
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 PURE FUNCTION slopes4(ix, f, x)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -220,12 +220,12 @@
 
 END FUNCTION slopes4
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 PURE FUNCTION slopes5(ix, f, x)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -278,5 +278,5 @@
 
 END FUNCTION slopes5
-!
+
 !-------------------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/sort.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/sort.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/sort.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 C
 C
Index: LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90	(revision 5099)
@@ -759,9 +759,9 @@
 !        CALL xios_update_calendar(ito)
 !    END SUBROUTINE wxios_update_calendar
-!    
+
 !    SUBROUTINE wxios_write_2D(fieldname, fdata)
 !        CHARACTER(len=*), INTENT(IN) :: fieldname
 !        REAL, DIMENSION(:,:), INTENT(IN) :: fdata
-!
+
 !        CALL xios_send_field(fieldname, fdata)
 !    END SUBROUTINE wxios_write_2D
@@ -770,5 +770,5 @@
 !        CHARACTER(len=*), INTENT(IN) :: fieldname
 !        REAL, DIMENSION(:,:,:), INTENT(IN) :: fdata
-!        
+
 !        CALL xios_send_field(fieldname, fdata)
 !    END SUBROUTINE wxios_write_3D
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90	(revision 5099)
@@ -11,8 +11,8 @@
       USE print_control_mod, ONLY: lunout
       IMPLICIT NONE
-!
+
 ! Stops the simulation cleanly, closing files and printing various
 ! comments
-!
+
 !  Input: modname = name of calling program
 !         message = stuff to print
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/ioipsl_getin_p_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/ioipsl_getin_p_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/ioipsl_getin_p_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE ioipsl_getin_p_mod
 ! To use getin in a parallel context
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_grid_phy_lmdz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_grid_phy_lmdz.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_grid_phy_lmdz.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id $
-!
+
 MODULE mod_grid_phy_lmdz
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 MODULE mod_phys_lmdz_mpi_data
   USE lmdz_mpi 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_transfert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_transfert.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_transfert.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 MODULE mod_phys_lmdz_mpi_transfert
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_data.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_data.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 MODULE mod_phys_lmdz_omp_data
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_transfert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_transfert.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_omp_transfert.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Header$
-!
+
 MODULE mod_phys_lmdz_omp_transfert
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_para.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_para.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_para.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE mod_phys_lmdz_para
   USE mod_phys_lmdz_transfert_para
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_transfert_para.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_transfert_para.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_transfert_para.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 MODULE mod_phys_lmdz_transfert_para
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 MODULE physics_distribution_mod
 
@@ -68,5 +68,5 @@
 !!$OMP PARALLEL
 !    CALL Init_dimphy(klon_omp,nbp_lev)
-!
+
 !#ifdef REPROBUS
 !! Initialization of Reprobus
@@ -74,5 +74,5 @@
 !    END IF
 !#endif
-!
+
 !!$OMP END PARALLEL
  
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE write_field_phy
 
Index: LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
   IMPLICIT NONE
-  !
+
   ! Transfer a field from the full physics grid
   ! to a full 2D (lonxlat) grid suitable for outputs
-  !
+
   INTEGER,INTENT(IN) :: nfield,nlon,iim,jjmp1
   REAL,INTENT(IN) :: fi(nlon,nfield)
Index: LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 module iophy
   
@@ -250,5 +250,5 @@
      endif
      CALL histwrite(nid,name,itau,fieldok,npstn,index2d)
-!
+
     endif
     deallocate(index2d)
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
 MODULE phyaqua_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE phyetat0(fichnom)
 ! Load initial state for the physics
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phyredem.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phyredem.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
 SUBROUTINE phyredem (fichnom)
 
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id:  $
-!
+
 MODULE phys_state_var_mod
 !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5099)
@@ -28,7 +28,7 @@
 
       IMPLICIT none
-!
+
 ! Routine argument:
-!
+
       integer,intent(in) :: nlon ! number of atmospheric colums
       integer,intent(in) :: nlev ! number of vertical levels (should be =klev)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.F	(revision 5099)
@@ -34,10 +34,10 @@
 ! fluxes are defined on klev levels only.
 ! NHL
-!
+
       flxr_aux(:,klev+1)=0.0
       flxs_aux(:,klev+1)=0.0
       flxr_aux(:,1:klev)=flxr(:,:)
       flxs_aux(:,1:klev)=flxs(:,:)
-!
+
       DO k=1, klev
       DO i=1, klon 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checkmass.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checkmass.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checkmass.F90	(revision 5099)
@@ -2,7 +2,7 @@
   USE dimphy
 USE geometry_mod , ONLY:cell_area
+  USE lmdz_yomcst
   IMPLICIT NONE
 
-  INCLUDE "YOMCST.h"
 
 ! Entrees
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/chem_spla.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/chem_spla.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/chem_spla.h	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Header$
-!
 
       INTEGER ss_bins
